API ReferenceAdmin Mobile App
Enroll Windows Machine
POST
/v1/admin/mobile-app/windows-machinesAuthorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Enroll a PC: the agent's TPM machine key (P-256, 65-byte X9.63 point, base64 or base64url) and a label for the console.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/admin/mobile-app/windows-machines" \ -H "Content-Type: application/json" \ -d '{ "label": "string", "public_key_b64": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "key_id": "string", "created_at": "2019-08-24T14:15:22Z", "revoked_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}